Package org.springframework.security.web.header.writers

# Class XContentTypeOptionsHeaderWriter

java.lang.Object
org.springframework.security.web.header.writers.StaticHeadersWriter
org.springframework.security.web.header.writers.XContentTypeOptionsHeaderWriter

All Implemented Interfaces:
  `HeaderWriter`

public final class XContentTypeOptionsHeaderWriter extends StaticHeadersWriter
A `StaticHeadersWriter` that inserts headers to prevent content sniffing. Specifically the following headers are set:

- X-Content-Type-Options: nosniff

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`XContentTypeOptionsHeaderWriter()`
Creates a new instance

## Method Summary

### Methods inherited from class org.springframework.security.web.header.writers.StaticHeadersWriter

`toString, writeHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XContentTypeOptionsHeaderWriter

public XContentTypeOptionsHeaderWriter()
Creates a new instance